You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
Sasha Aliashkevich 71d96dc1a5 v1.1.0 2 months ago
.github/workflows migrating builds to electron-builder 2 months ago
css Show more info in case of error 8 months ago
examples example change 4 years ago
fonts pgtabs is going public 5 years ago
scripts fix windows build 7 months ago
src migrating builds to electron-builder 2 months ago
.eslintrc.yml fix eslint; fix build/App not found 1 year ago
.gitignore migrating builds to electron-builder 2 months ago
.npmrc migrating builds to electron-builder 2 months ago
Info.plist Postgres protocol 3 years ago
LICENSE prepare for open source 4 years ago
README.md readme update 2 months ago
index.html eslint checks added; refactored to comply with eslint 1 year ago
libpq_build.sh libpq_build; linux catchup 5 years ago
linux_build.sh 0.16.0 3 years ago
logo.icns logo icon 5 years ago
logo.ico adding ico file for windows 3 years ago
logo.png logo icon 5 years ago
logo_sql.icns SQL Document Support for OSX 3 years ago
mac_build.sh fix mac build scripts 7 months ago
main.js migrating builds to electron-builder 2 months ago
minify.sh upgrade ulify; change mac build script; tabsplit 1 year ago
package-lock.json migrating builds to electron-builder 2 months ago
package.json v1.1.0 2 months ago
sqltabs.png rename to sqltabs 5 years ago
win_build.sh fix windows build 7 months ago

README.md

SQL Tabs

Rich SQL client. Home www.sqltabs.com

Supported databases:

- Postgresql
- MySQL / MariaDB
- MS SQL
- Amazon Redshift
- AlaSQL

Supported Platforms:

- Mac
- Windows
- Linux

Building

In order to run SQL Tabs from source code follow the next steps: (In case of any issues please report them here)

node.js not higher than v10 is required

  1. Install npm - a javascript package manager

  2. Get the code, install dependencies and build the application:

     git clone https://github.com/sasha-alias/sqltabs
     cd sqltabs
     npm install
    
  3. Run the application:

     npm start
    

Contribution and issues reports are very appreciated.

Platform specific things

You might want to rebuild grpc for firebase driver to work:

    npm rebuild grpc --runtime=electron --target=4.1.0 --target_archx64